### nncp-toss ¶

    $ nncp-toss [options]
        [-node NODE]
        [-dryrun]
        [-cycle INT]
        [-seen] [-gen-ack]
        [-nofile] [-nofreq] [-noexec] [-notrns] [-noarea] [-noack]

Perform "tossing" operation on all inbound packets. This is the tool that decrypts all packets and processes all payload packets in them: copies files, sends mails, sends out file requests and relays transition packets. It should be run after each online/offline exchange.

`-dryrun` option does not perform any writing and sending, just tells what it will do.

`-cycle` option tells not to quit, but to repeat tossing every `INT` seconds in an infinite loop. That can be useful when running this command as a daemon.

`-seen` option creates empty `seen/XXX` file after successful tossing of `XXX` packet. `nncp-xfer`, `nncp-bundle`, `nncp-daemon` and `nncp-call` commands skip inbound packets that has been already seen, processed and tossed. This is helpful to prevent duplicates.

`-nofile`, `-nofreq`, `-noexec`, `-notrns`, `-noarea`, `-noack` options allow disabling any kind of packet types processing.

`-gen-ack` option tells to automatically generate ACKnowledgements outbound packets when tossing each packet, saving corresponding list of generated packets inside the special directory in the spool.